Commit fca85d53 authored by incardon's avatar incardon

Adding missing library for intel compiler

parent 6edcb9bb
......@@ -154,6 +154,9 @@ if [x"have_quad_math" == x"yes" $&& x"have_quad_math" == x"yes" ]; then
LIBQUADMATH=" -lquadmath "
fi
AC_CHECK_LIB(ifcore, for_copy, [ LIBIFCORE=-lifcore ], [ LIBIFCORE= ])
AC_SUBST(LIBIFCORE)
AC_SUBST(OPENMP_CFLAGS)
AC_SUBST(OPENMP_LDFLAGS)
......
......@@ -128,12 +128,12 @@ function detect_compiler()
dgc_middle=$(icpc --version | grep icpc | sed 's/.*\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\2/g')
dgc_minor=$(icpc --version | grep icpc | sed 's/.*\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\3/g')
if [ $dgc_major -gt 16 ]; then
if [ $dgc_major -gt 17 ]; then
echo -e "icpc $dgc_major.$dgc_middle.$dgc_minor \033[92;1m SUCCESS \033[0m"
dgc_compiler=icpc
dgc_ret=1
icpc_found=1
elif [ $dgc_major -lt 16 ]; then
elif [ $dgc_major -lt 17 ]; then
echo -e "icpc $dgc_major.$dgc_middle.$dgc_minor \033[91;5;1m FAILED \033[0m your icpc version is too old intel 16.0.2 at least required"
dgc_ret=0
icpc_found=0
......@@ -142,10 +142,6 @@ function detect_compiler()
dgc_compiler=icpc
dgc_ret=1
icpc_found=1
elif [ $dgc_middle -lt 0 ]; then
echo -e "icpc $dgc_major.$dgc_middle.$dgc_minor \033[91;5;1m FAILED \033[0m your icpc version is too old 16.0.2 at least required"
dgc_ret=0
icpc_found=0
else
echo -e "icpc $dgc_major.$dgc_middle.$dgc_minor \033[92;1m SUCCESS \033[0m"
dgc_compiler=icpc
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment